Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyStore.TrustedCertificateEntry

    java.lang.Object
      java.security.KeyStore.TrustedCertificateEntry

All Implemented Interfaces:
  KeyStore.Entry

Enclosing class:
  KeyStore

    public static final class KeyStore.TrustedCertificateEntry

extends Object
implements KeyStore.Entry

A `KeyStore` entry that holds a trusted `Certificate`.

Since:
  1.5

Constructor Summary
`KeyStore.TrustedCertificateEntry(Certificate trustedCert)` Constructs a `TrustedCertificateEntry` with a trusted `Certificate`.

Method Summary
`Certificate` | `getTrustedCertificate()` Gets the trusted `Certficate` from this entry.
`String` | `toString()` Returns a string representation of this TrustedCertificateEntry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyStore.TrustedCertificateEntry

    public KeyStore.TrustedCertificateEntry(Certificate trustedCert)

  Constructs a `TrustedCertificateEntry` with a trusted `Certificate`.

  Parameters:
    `trustedCert` - the trusted `Certificate`
  Throws:
    `NullPointerException` - if `trustedCert` is `null`

Method Detail

### getTrustedCertificate

    public Certificate getTrustedCertificate()

  Gets the trusted `Certficate` from this entry.

  Returns:
    the trusted `Certificate` from this entry

### toString

    public String toString()

  Returns a string representation of this TrustedCertificateEntry.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this TrustedCertificateEntry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.